summaryrefslogtreecommitdiff
path: root/dev-ruby/timecop
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-08-13 18:10:13 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-08-13 18:10:13 +0000
commit216d4e1f722fef2d6bc508cbd3373a130ba00f48 (patch)
tree7557639918127a5ed1f5b34b87a488a8cf983e27 /dev-ruby/timecop
parent2a472330bac79a0535ef78e10224ded4d6c0cc93 (diff)
downloadbaldeagleos-repo-216d4e1f722fef2d6bc508cbd3373a130ba00f48.tar.gz
baldeagleos-repo-216d4e1f722fef2d6bc508cbd3373a130ba00f48.tar.xz
baldeagleos-repo-216d4e1f722fef2d6bc508cbd3373a130ba00f48.zip
Adding metadata
Diffstat (limited to 'dev-ruby/timecop')
-rw-r--r--dev-ruby/timecop/Manifest2
-rw-r--r--dev-ruby/timecop/timecop-0.9.7.ebuild (renamed from dev-ruby/timecop/timecop-0.9.5.ebuild)15
2 files changed, 9 insertions, 8 deletions
diff --git a/dev-ruby/timecop/Manifest b/dev-ruby/timecop/Manifest
index 5b76d9ae52d0..c6de4eeb941d 100644
--- a/dev-ruby/timecop/Manifest
+++ b/dev-ruby/timecop/Manifest
@@ -1,2 +1,2 @@
-DIST timecop-0.9.5.gem 17408 BLAKE2B e6234759af1b3bcdf8fa5403594498507a7ddb8f652e8698ab7ce0e4879fc99828953120ccb80c3cfd555b63bbb957b0fd2f25758c4add1803d288b1807360be SHA512 4b3aa4d2fe5b95b51119be61faf0c85539d56e1ad2b507a1df182f5d7882390b37bc8b9984ef54e1b0b42bfb0d205ff4f863d016e423d4499cf3b21f2eaed7ff
DIST timecop-0.9.6.gem 17408 BLAKE2B 53afa8313be94fb8774812b014f11d9a134b51b7dafcc0fd8d91d10756e042bfd6d56b10f8072c1d606519e532beb2e02032bd4e3f6d45b4cf41dd968ba86224 SHA512 a5cbdf38caa5bccb9887a6abb5d99bdd1470c9ff8d52d19f0c46f116dc73b62512f76021adc1ec98ca4abe85ca61a4ab1e821d80980fa7ab3c821abd13b9695a
+DIST timecop-0.9.7.tar.gz 17818 BLAKE2B c978a3765864963b4dbbb8a9cf2172208fa7b66afd68417a057bba44b6d35141bab5182bef3404d6233f394e9d874026886dc85b2e400908bdbf2f3af273b6bf SHA512 4db43b655225b8017769497b5ffc88d7b6d728677439ade09d8e0b8e8ef01c0307e49575ed9e1d2ac379cd222a5a0d34feae018d15ee34b70934e93a019a76e6
diff --git a/dev-ruby/timecop/timecop-0.9.5.ebuild b/dev-ruby/timecop/timecop-0.9.7.ebuild
index 6dee71de2de0..5c78acdec7fd 100644
--- a/dev-ruby/timecop/timecop-0.9.5.ebuild
+++ b/dev-ruby/timecop/timecop-0.9.7.ebuild
@@ -3,33 +3,34 @@
EAPI=8
-USE_RUBY="ruby27 ruby30 ruby31 ruby32"
+USE_RUBY="ruby30 ruby31 ruby32"
+RUBY_FAKEGEM_BINWRAP=""
RUBY_FAKEGEM_TASK_TEST="test"
RUBY_FAKEGEM_TASK_DOC="rdoc"
RUBY_FAKEGEM_DOCDIR="rdoc"
RUBY_FAKEGEM_EXTRADOC="README.markdown"
+RUBY_FAKEGEM_GEMSPEC="timecop.gemspec"
inherit ruby-fakegem
DESCRIPTION="A gem providing 'time travel' and 'time freezing' capabilities"
HOMEPAGE="https://github.com/travisjeffery/timecop"
+SRC_URI="https://github.com/travisjeffery/timecop/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ppc ppc64 ~riscv ~s390 sparc x86"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
IUSE=""
-# Missing testdep activesupport
-ruby_add_bdepend "test? ( dev-ruby/mocha )"
+ruby_add_bdepend "test? ( dev-ruby/activesupport dev-ruby/mocha )"
all_ruby_prepare() {
- sed -i -e '/bundler/ s:^:#:' -e '/History.rdoc/d' Rakefile test/test_helper.rb || die
+ sed -e '/bundler/ s:^:#:' -e '/History.rdoc/d' \
+ -i Rakefile test/test_helper.rb test/timecop_with_active_support_test.rb || die
sed -i -e '/rubygems/ a\gem "test-unit"' \
-e '/minitest\/rg/ s:^:#:' -e '/pry/ s:^:#:' test/test_helper.rb || die
- # FIXME after activesupport gained ruby22 support
- rm test/time_stack_item_test.rb || die
}
each_ruby_test() {